Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common
Interface CommonContextKeys

    public interface CommonContextKeys

Common context keys which can be used in SPI method invocations. These ContextKey objects can be placed in (and retrieved from) a ContentContext object via code such as this:

       ContentContext context= ...;
       context.setParameter(CommonContextKeys.FETCH_FROM_CACHE, new Boolean(true));

Field Summary
`static ContextKey` | `CACHE_RESULTS` Optional `ContextKey` which can be placed in the `ContentContext` to specify that a method should cache (or NOT cache) its results.
`static ContextKey` | `FETCH_FROM_CACHE` Optional `ContextKey` which can be placed in the `ContentContext` to specify that a method should (or should not) fetch cached results, if present.
`static ContextKey` | `NODE` Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated node
`static ContextKey` | `NODE_ID` Optional `ContextKey` which can be placed in the `ContentContext` to specify a node's ID.
`static ContextKey` | `NODE_PATH` Optional `ContextKey` which can be placed in the `ContentContext` to specify a node's path.
`static ContextKey` | `NUM_ITEMS` Optional `ContextKey` which can be placed in the `ContentContext` to specify the number of items to return when requesting results.
`static ContextKey` | `OBJECT_CLASS` Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated objectclass
`static ContextKey` | `OBJECT_CLASS_NAME` Optional `ContextKey` which can be placed in the `ContentContext` to specify an object class name.
`static ContextKey` | `OBJECT_CLASS_PATH` Optional `ContextKey` which can be placed in the `ContentContext` to specify an object class path.
`static ContextKey` | `START_POSITION` Optional `ContextKey` which can be placed in the `ContentContext` to specify a start position when requesting results.
`static ContextKey` | `WORKFLOW` Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated workflow

Field Detail

### FETCH_FROM_CACHE

    static final ContextKey FETCH_FROM_CACHE

  Optional `ContextKey` which can be placed in the `ContentContext` to specify that a method should (or should not) fetch cached results, if present. If not specified, a default value will be used; the default may vary depending on the invocation method.

### CACHE_RESULTS

    static final ContextKey CACHE_RESULTS

  Optional `ContextKey` which can be placed in the `ContentContext` to specify that a method should cache (or NOT cache) its results. If not specified, a default value will be used; the default may vary depending on the invocation method.

### NODE

    static final ContextKey NODE

  Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated node

### WORKFLOW

    static final ContextKey WORKFLOW

  Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated workflow

### NODE_ID

    static final ContextKey NODE_ID

  Optional `ContextKey` which can be placed in the `ContentContext` to specify a node's ID.

### NODE_PATH

    static final ContextKey NODE_PATH

  Optional `ContextKey` which can be placed in the `ContentContext` to specify a node's path.

### OBJECT_CLASS

    static final ContextKey OBJECT_CLASS

  Optional `ContextKey` which can be placed in the `ContentContext` to specify an associated objectclass

### OBJECT_CLASS_PATH

    static final ContextKey OBJECT_CLASS_PATH

  Optional `ContextKey` which can be placed in the `ContentContext` to specify an object class path.

### OBJECT_CLASS_NAME

    static final ContextKey OBJECT_CLASS_NAME

  Optional `ContextKey` which can be placed in the `ContentContext` to specify an object class name.

### START_POSITION

    static final ContextKey START_POSITION

  Optional `ContextKey` which can be placed in the `ContentContext` to specify a start position when requesting results. The first position is position 0.

### NUM_ITEMS

    static final ContextKey NUM_ITEMS

  Optional `ContextKey` which can be placed in the `ContentContext` to specify the number of items to return when requesting results. The special value ContentListKeys.ALL_ITEMS can be used to request all items be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.